<?php
/*
* Custom feed rss (default)
*/

function wtg_custom_feed_rss(){

	header('Content-Type: text/xml; charset=' . get_option('blog_charset'), true);



	if ( have_posts()) {

		the_post();

	} else 

		exit ;

?>

<?php echo '<?xml version="1.0" encoding="'.get_option('blog_charset').'"?'.'>'; ?>

<?php the_generator( 'comment' ); ?>

<rss version="0.92">

	<channel>

		<title><?php the_title_rss() ?></title>

		<link><?php the_permalink_rss() ?></link>

		<description><![CDATA[<?php the_excerpt_rss() ?>]]></description>

		<lastBuildDate><?php echo mysql2date('D, d M Y H:i:s +0000', get_lastpostmodified('GMT'), false); ?></lastBuildDate>

		<docs>http://backend.userland.com/rss092</docs>

		<language><?php echo get_option('rss_language'); ?></language>

		<item>

			<title><?php the_title_rss() ?></title>

	<?php if (get_option('rss_use_excerpt')) { ?>

			<description><![CDATA[<?php the_excerpt_rss() ?>]]></description>

	<?php } else { // use content ?>

			<description><?php the_content_rss('', 0, '', get_option('rss_excerpt_length')) ?></description>

	<?php } ?>

			<link><?php the_permalink_rss() ?></link>

		</item>

	</channel>

</rss>

<?php

die();

}