<?php
/*
* Posting Statistics class
*/

require_once(dirname(__FILE__) . '/config.php');
require_once(dirname(__FILE__) . '/php5_functions.php');

error_reporting(0);

if(!class_exists('WTG_Posting_Statistics')):

	class WTG_Posting_Statistics {		
		var $table_name_stats;
		var $post_by_agg;

		function initDB(){
			global $wpdb;
			$this->table_name_stats = $wpdb->prefix . "wtg_posting_statistics";		
		}
		
		function is_not_empty(){
			global $wpdb;
			$result = $wpdb->get_results( "SELECT * FROM $this->table_name_stats" );
			return mysql_num_rows($result);
		}
		
		function get_latest_only($agg){	
			global $wpdb;
			$latest_id = $wpdb->get_var( "SELECT id FROM $this->table_name_stats ORDER BY id DESC LIMIT 1" );
			$this->post_by_agg = $wpdb->get_row( "SELECT * FROM $this->table_name_stats WHERE id = $latest_id AND aggregator = $agg" );
						
			return $this->post_by_agg;
		}
		
		function get_post_by_aggregator($agg){	
			global $wpdb;
			$this->post_by_agg = $wpdb->get_results( "SELECT * FROM $this->table_name_stats WHERE aggregator = $agg" );
			
			return $this->post_by_agg;
		}
		
		function insert_new_post($agg, $post_id, $rss_feed, $success){
			global $wpdb;
			$wpdb->insert( $this->table_name_stats, array( 'aggregator' => $agg, 'post_id' => $post_id, 'rss_feed' => $rss_feed, 'success' => $success, 'date_posted' => date('Y-m-d') ) );
		}
	}

endif;

?>