<?php
/*
 * Export Aggregators
*/
require_once(dirname(__FILE__) . '/config.php');
require_once(dirname(__FILE__) . '/php5_functions.php');
require_once(dirname(__FILE__) . '/other_functions.php');

function wtg_export_aggregators() {
	wtg_update_aggregator_details();
	wtg_db_check_and_create();
	wtg_messages();
?>
	<div class="wrap">
		<h2>Export</h2>
		<p>This allows you to backup your configuration which can then be copied to another wordpress installation.</p>
		<p><b>Aggregators:</b></p>
		<form action="" method="post">
			<input type="submit" name="exportAggregators" value="Download Export File &raquo;" />
		</form>
		<br><br><br>
		<p><b>Extra Feeds:</b></p>
		<form action="" method="post">
			<input type="submit" name="exportExtrafeed" value="Download Export File &raquo;" />
		</form>
	</div>
<?php
}

function wtg_export_xml() {
	if (!isset($_POST['exportAggregators']) && !isset($_POST['exportExtrafeed'])) 
		return ;
	if(isset($_POST['exportAggregators'])) {
		$file_name = 'aggregators_template.xml';
		header('Content-Description: File Transfer');
		header('Content-type: text/xml; charset=' . get_option('blog_charset'), true);
		header("Content-Disposition: attachment; filename=$file_name");
		header('Pragma: no-cache');
		$ag = new WTG_Aggregator();
		$ag->initDB();
		// view the class in aggregator_model.php it just basically creates an xml file based on db values.
		echo $ag->get_db2xml();
		die();
	} else {
		$file_name = 'extra_feed.xml';
		header('Content-Description: File Transfer');
		header('Content-type: text/xml; charset=' . get_option('blog_charset'), true);
		header("Content-Disposition: attachment; filename=$file_name");
		header('Pragma: no-cache');
		$ag = new WTG_Extrafeed();
		$ag->initDB();
		// view the class in extrafeed_model.php it just basically creates an xml file based on db values
		echo $ag->get_db2xml();
		die();
	}
}