<?php
/*
* Schedule a job
*/

require_once(dirname(__FILE__) . '/config.php');
require_once(dirname(__FILE__) . '/other_functions.php');

if (isset($_POST['deleteChecked']))
{
	$values = count($_POST['jobs']);
	$selected = $_POST['jobs'];
	if ($values > 0)
	{
		for($i = 0 ; $i < $values ; $i++)
		{
			$db = new WTG_DB();
			$jobs = $db->delete_job($selected[$i]);
		}
		echo "<div class='updated fade'><p>Scheduled jobs deleted.</p></div>";
	}
}

if (isset($_POST['deleteall'])){
	$sjobs = new WTG_DB();
	$jobs = $sjobs->get_all_job();
	
	if (!empty($jobs)) {        
		foreach ($jobs as $job) {
			$djobs = $sjobs->delete_job($job->id);
		}
		
		echo "<div class='updated fade'><p>Scheduled jobs deleted.</p></div>";
	}
}

function wtg_schedule_job_list() {
	wtg_db_check_and_create();
	wtg_messages();		
	
	?>
	<form id="scheduled_jobs" action="" method="post" name="scheduled_jobs">
	<div class="wrap">
		<h2>Schedule Job List</h2>
		<br/><br/>
		&nbsp;&nbsp;&nbsp;<input type="submit" name="deleteChecked" value="Delete Checked" /><input type="submit" name="deleteall" value="Delete All Jobs &raquo;" onclick="return confirm('WARNING: YOUR ARE ABOUT TO DELETE ALL THE SCHEDULED JOBS. Are you sure?');"/>
		<br/><br/>
		<table class="widefat">
		<thead>
		<tr>
			<th> </th>
			<th>Post Title</th>
			<th>Feed</th>
			<th>Aggregator Site</th>
		</tr>
		</thead>
		<tbody>
    <?php
    $db = new WTG_DB();
    $jobs = $db->get_all_job();
    $domain_url=wtg_domain_name();
    $wtg_option = get_option('wtg_option');
    if (!empty($jobs)) {
        $class = '';
        $previous_post_id='';
        
        foreach ($jobs as $job) {
            $class = ($class == 'class="alternate"') ? '' : 'class="alternate"';
	?>
		<tr <?php echo $class; ?>>
			<td><input type="checkbox" id="standard" name="jobs[]" rel="standard" value="<?php echo $job->id; ?>" /> </td>
			<td>
	<?php 
			if($job->post_id != $previous_post_id) {
				$postlnk = get_permalink($job->post_id);
				$post = get_post($job->post_id); 
				echo '<a href="'.$postlnk.'" target="_blank">'.htmlspecialchars($post->post_title).'</a>';
			}
	?>
			</td>
			<td>
	<?php
			if($job->post_id != $previous_post_id) {
				$feedUrl=$domain_url.'/'.$wtg_option['feedDir'].'/' .$job->feed_name."\n";
				echo '<a href="'.$feedUrl.'" target="_blank">'.$job->feed_name.'</a>';
			}
	?>
            		</td>
			<td>
	<?php
			$ag = new WTG_Aggregator();
            		$ag->initDB();
            		$aggregator = $ag->get_aggregatorDB($job->aggregator_id);
           		echo $aggregator->name;
	?>
			</td>
		</tr>
    <?php
    		$previous_post_id=$job->post_id;
		}
    } else {
        echo '<tr><td colspan="5" align="center"><strong>No entries found</strong></td></tr>';
    }
    ?>
		</tbody>
		</table>
	</div>
	</form>
<?php
}

function wtg_domain_name() {
	$u = @parse_url(get_option('siteurl'));
	return 'http://' . $u['host'] . ':' . (isset($u['port'])?$u['port']:80);
}